/*
  Copyright 2019 Kakao Corp.

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.kakao.sdk.template

/**
 * @suppress
 */
object Constants {
    const val OBJECT_TYPE = "object_type"
    const val TYPE_FEED = "feed"
    const val TYPE_LIST = "list"
    const val TYPE_LOCATION = "location"
    const val TYPE_COMMERCE = "commerce"
    const val TYPE_TEXT = "text"

    const val CONTENT = "content"
    const val SOCIAL = "social"
    const val BUTTONS = "buttons"
    const val HEADER_TITLE = "header_title"
    const val HEADER_LINK = "header_link"
    const val CONTENTS = "contents"
    const val ADDRESS = "address"
    const val ADDRESS_TITLE = "address_title"
    const val TITLE = "title"
    const val IMAGE_URL = "image_url"
    const val IMAGE_WIDTH = "image_width"
    const val IMAGE_HEIGHT = "image_height"
    const val DESCRIPTION = "description"
    const val LINK = "link"
    const val WEB_URL = "web_url"
    const val MOBILE_WEB_URL = "mobile_web_url"
    const val ANDROID_EXECUTION_PARAMS = "android_execution_params"
    const val IOS_EXECUTION_PARAMS = "ios_execution_params"
    const val LIKE_COUNT = "like_count"
    const val COMMENT_COUNT = "comment_count"
    const val SHARED_COUNT = "shared_count"
    const val VIEW_COUNT = "view_count"
    const val SUBSCRIBER_COUNT = "subscriber_count"

    const val COMMERCE = "commerce"
    const val REGULAR_PRICE = "regular_price"
    const val CURRENCY_UNIT = "currency_unit"
    const val CURRENCY_UNIT_POSITION = "currency_unit_position"
    const val DISCOUNT_PRICE = "discount_price"
    const val DISCOUNT_RATE = "discount_rate"
    const val FIXED_DISCOUNT_PRICE = "fixed_discount_price"

    const val TEXT = "text"
    const val BUTTON_TITLE = "button_title"

    const val TEMPLATE_OBJECT = "template_object"
}